D3Master
447
2017-09-14 15:16:10.0
2
768

Guava를 써야하는 5가지 이유


개인적으로 Java7 에서 대부분 Guava를 사용하고, Java8 환경에서는 Stream을 사용하는데,

최근 7 환경에서 개발하다보니 Guava를 애용하고 있네요.

실제 근무 환경에서 적은양의 코드로 빠른 개발을 하는데 도움이 많이 되어,

옛날 글이긴 한데, Outsider 님의 블로그에서 쓰신 글을 링크해봐요.


https://blog.outsider.ne.kr/710

0
0
  • 댓글 2

  • 구구구구우
    846
    2017-09-14 15:40:57.0

    저는 이벤트 버스를 이용한다고 Guava 사용을 했었는데, 그외 Collection관련해서 유틸리티 기능도 꽤 쏠쏠했구요

    0
  • 매튜
    59
    2017-09-14 18:18:19.0

    guava 21.0 버전부터는 JDK 1.8 이상이어야 한다고 합니다.


    Release 21.0 requires JDK 1.8 or newer.

    Releases 12.0 through 20.0 require JDK 1.6 or newer.

    Releases 1.0 through 11.0 require JDK 1.5 or newer.

    0
  • 로그인을 하시면 댓글을 등록할 수 있습니다.